org.apache.pdfbox.util

## Class SmallMap<K,V>

- java.lang.Object
- - org.apache.pdfbox.util.SmallMap<K,V>

All Implemented Interfaces:
  Map<K,V>

Deprecated.
will be removed in 4.0.0

    @Deprecated
    public class SmallMap<K,V>
    extends Object
    implements Map<K,V>

Map implementation with a smallest possible memory usage. It should only be used for maps with small number of items (e.g. <30) since most operations have an O(n) complexity. Thus it should be used in cases with large number of map objects, each having only few items.

`null` is not supported for keys or values.

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`SmallMap()` Deprecated. Creates empty map.
`SmallMap(Map<? extends K,? extends V> initMap)` Deprecated. Creates map filled with entries from provided map.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `clear()` Deprecated.
`boolean` `containsKey(Object key)` Deprecated.
`boolean` `containsValue(Object value)` Deprecated.
`Set<Map.Entry<K,V>>` `entrySet()` Deprecated.
`V` `get(Object key)` Deprecated.
`boolean` `isEmpty()` Deprecated.
`Set<K>` `keySet()` Deprecated. Returns a set view of the keys contained in this map.
`V` `put(K key, V value)` Deprecated.
`void` `putAll(Map<? extends K,? extends V> otherMap)` Deprecated.
`V` `remove(Object key)` Deprecated.
`int` `size()` Deprecated.
`Collection<V>` `values()` Deprecated. Returns a collection of the values contained in this map.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Constructor Detail

#### SmallMap

    public SmallMap()

Deprecated.
Creates empty map.

#### SmallMap

    public SmallMap(Map<? extends K,? extends V> initMap)

Deprecated.
Creates map filled with entries from provided map.

Parameters:
  `initMap` - the map whose mappings are to be placed in this map

### Method Detail

#### size

    public int size()

Deprecated.

Specified by:
  `size` in interface `Map<K,V>`

#### isEmpty

    public boolean isEmpty()

Deprecated.

Specified by:
  `isEmpty` in interface `Map<K,V>`

#### containsKey

    public boolean containsKey(Object key)

Deprecated.

Specified by:
  `containsKey` in interface `Map<K,V>`

#### containsValue

    public boolean containsValue(Object value)

Deprecated.

Specified by:
  `containsValue` in interface `Map<K,V>`

#### get

    public V get(Object key)

Deprecated.

Specified by:
  `get` in interface `Map<K,V>`

#### put

    public V put(K key,
                 V value)

Deprecated.

Specified by:
  `put` in interface `Map<K,V>`

#### remove

    public V remove(Object key)

Deprecated.

Specified by:
  `remove` in interface `Map<K,V>`

#### putAll

    public final void putAll(Map<? extends K,? extends V> otherMap)

Deprecated.

Specified by:
  `putAll` in interface `Map<K,V>`

#### clear

    public void clear()

Deprecated.

Specified by:
  `clear` in interface `Map<K,V>`

#### keySet

    public Set<K> keySet()

Deprecated.
Returns a set view of the keys contained in this map.

The current implementation does not allow changes to the returned key set (which would have to be reflected in the underlying map.

Specified by:
  `keySet` in interface `Map<K,V>`

#### values

    public Collection<V> values()

Deprecated.
Returns a collection of the values contained in this map.

The current implementation does not allow changes to the returned collection (which would have to be reflected in the underlying map.

Specified by:
  `values` in interface `Map<K,V>`

#### entrySet

    public Set<Map.Entry<K,V>> entrySet()

Deprecated.

Specified by:
  `entrySet` in interface `Map<K,V>`